## mosquitto 1.5.5

=== debian/changelog ===
mosquitto (1.5.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Only chown mosquitto.log if it exists. (Closes: #916558)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 22 Dec 2018 16:54:06 +0100

mosquitto (1.5.5-1) unstable; urgency=medium

  * SECURITY UPDATE: If the option `per_listener_settings` was set to true,
    and the default listener was in use, and the default listener specified an
    `acl_file`, then the acl file was being ignored. This affects version 1.5
    to 1.5.4 inclusive.
  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Tue, 11 Dec 2018 16:37:32 +0000

mosquitto (1.5.4-2) unstable; urgency=medium

  * debian/patches/914525.patch : Use pkg-config to get systemd libs
    (Closes: #914525)
    - This is needed to allow compilation on non-Linux systems.
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. Thanks to Helmut
    Grohne. (Closes: #914593)
  * Ensure log files are owned by mosquitto. (Closes: #877346)

 -- Roger A. Light <roger@atchoo.org>  Sun, 25 Nov 2018 13:52:16 +0000
