=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                libsystemd-dev,
                libwebsockets-dev,
                libwrap0-dev,
+               pkg-config,
                uthash-dev,
                uuid-dev
 Standards-Version: 4.2.1
