=== debian/changelog ===
mosquitto (1.5.7-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Restrict topic hierarchy to 200 levels to prevent possible stack overflow
    (CVE-2019-11779) (Closes: #940654)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Nov 2019 18:56:06 +0100

mosquitto (1.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix-step3.patch, fixed upstream.
  * bug-1162.patch: fix bug with clients being disconnected in some situations
    when ACLs are in use.

 -- Roger A. Light <roger@atchoo.org>  Mon, 18 Feb 2019 09:28:40 +0000
