=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
 https://mosquitto.org/files/source/mosquitto-(.*)\.tar\.gz
